<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 11/26/2003 *
 * ===============                              Last change: 02/27/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : chk_login.php                                    *
 * -------------------------------------------------------------------- *
 * Short description : Check if user has logged in (delay)              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Pruefen ob die Login-Cookies gesetzt sind        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Initial message part
$message = "<strong>{--VALIDATING_LOGIN--}</strong>";

if (isUserIdSet() && (isSessionVariableSet('u_hash'))) {
	// Login failures are supported since 0.4.7
	// Do we have 0.4.7 of sql_patches or later?
	$add = '';
	if (GET_EXT_VERSION('sql_patches') >= '0.6.1') {
		// Load them here
		$add = ", login_failures, UNIX_TIMESTAMP(last_failure) AS last_failure";
	} // END - if

	// Get theme from profile
	$result = SQL_QUERY_ESC("SELECT curr_theme".$add." FROM `{!_MYSQL_PREFIX!}_user_data` WHERE userid=%s LIMIT 1",
	array(getUserId()), __FILE__, __LINE__);

	// Load data
	$data = SQL_FETCHARRAY($result);

	// Free result
	SQL_FREERESULT($result);

	// Change to new theme
	setSession('mxchange_theme', $data['curr_theme']);

	// Remmeber login failures if available
	if (GET_EXT_VERSION('sql_patches') >= '0.6.1') {
		// Reset login failures
		SQL_QUERY_ESC("UPDATE `{!_MYSQL_PREFIX!}_user_data`
SET login_failures=0, last_failure='0000-00-00 00:00:00'
WHERE userid=%s
LIMIT 1",
		array(getUserId()), __FILE__, __LINE__);

		// Store it in session
		setSession('mxchange_member_failures', $data['login_failures']);
		setSession('mxchange_member_last_fail', $data['last_failure']);
	} // END - if

	// Bonus is not given by default ;-)
	$bonus = false;
	if ((GET_EXT_VERSION('sql_patches') >= '0.2.8') && (GET_EXT_VERSION('bonus') >= '0.2.1') && (getConfig('bonus_login_yn') == 'Y')) {
		// Update last login if far enougth away
		SQL_QUERY_ESC("UPDATE `{!_MYSQL_PREFIX!}_user_data`
SET last_login=UNIX_TIMESTAMP()
WHERE userid=%s AND last_login < (UNIX_TIMESTAMP() - %s)
LIMIT 1",
		array(
		getUserId(),
		getConfig('login_timeout')
		), __FILE__, __LINE__
		);
		if (SQL_AFFECTEDROWS() == 1) $bonus = true;
	} // END - if

	if (($bonus) && (REQUEST_GET('mode') == 'bonus') && (EXT_IS_ACTIVE('bonus'))) {
		// Output message with added points
		$message .= "<div class=\"tiny\">
  ".sprintf(getMessage('BONUS_LOGIN_BONUS_ADDED'), translateComma(getConfig('login_bonus')))."
</div>";
	} elseif (EXT_IS_ACTIVE('bonus')) {
		// No login bonus added!
		$message .= "<div class=\"member_failed\">{--BONUS_LOGIN_BONUS_NOT_ADDED--}</div>";
	}

	// Redirect to member area
	$message .= LOAD_TEMPLATE("member_login_js", true);
} else {
	// Login failed!
	$message .= LOAD_TEMPLATE("login_failed_js", true);
}

// Output final message
LOAD_TEMPLATE('admin_settings_saved', false, $message);

//
?>
